## ibus-table-chinese 1.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
# CMP0011 should be set here, otherwise policy set in module won't affect
# here.
CMAKE_POLICY(SET CMP0011 OLD)

####################################################################
# Project specific information
#
PROJECT(ibus-table-chinese NONE)
SET(PRJ_SUMMARY "Chinese input tables for IBus")

SET(PRJ_DESCRIPTION
"ibus-table-chinese is provides the infrastructure for Chinese input methods.
Input tables themselves are in subpackages."
    )

SET(AUTHORS "Yuwei Yu, Caius 'kaio' Chance, Ding-Yi Chen")
SET(MAINTAINER "Ding-Yi Chen <dchen@redhat.com>")
SET(VENDOR "Red Hat, Inc")
SET(LICENSE "GPLv3+")

####################################################################
# Includes
#
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/Modules ${CMAKE_ROOT}/Modules )
INCLUDE(ManageEnvironment RESULT_VARIABLE MANAGE_ENVIRONMENT_PATH)
IF(MANAGE_ENVIRONMENT_PATH STREQUAL "NOTFOUND")
    MESSAGE(FATAL_ERROR "ManageEnvironment is not found in $CMAKE_MODULE_PATH,
    please:
    1) install cmake-fedora, or;
    2) wget -P SOURCES https://fedorahosted.org/releases/c/m/cmake-fedora/cmake-fedora-modules-only-latest.tar.gz
    tar zxvf SOURCES/cmake-fedora-modules-only-latest.tar.gz")
ENDIF(MANAGE_ENVIRONMENT_PATH STREQUAL "NOTFOUND")

INCLUDE(ManageVersion)
LOAD_RELEASE_FILE("${CMAKE_SOURCE_DIR}/RELEASE-NOTES.txt")
INCLUDE(UseUninstall)

####################################################################
# Required
#
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(IBUS_TABLE REQUIRED ibus-table>=1.2)
SET(CMAKE_FEDORA_VER 0.7.994)

####################################################################
# Building
#

ADD_SUBDIRECTORY(tables)

####################################################################
# Installing
#

# Install docs
# Note: Need to use filename only, otherwise
# ${CMAKE_SOURCE_DIR}/RELEASE-NOTES.txt will be deleted in spec
#

GET_FILENAME_COMPONENT(_releaseFileName "${RELEASE_FILE}" NAME)
SET(INSTALL_DOCS ${_releaseFileName} AUTHORS README ChangeLog COPYING README)
STRING_JOIN(PRJ_DOC_LIST " " ${INSTALL_DOCS})

INSTALL(FILES ${INSTALL_DOCS}
    DESTINATION "${PRJ_DOC_DIR}")

####################################################################
# Packing
#
SET(MAINTAINER_SETTING "MAINTAINER_SETTING_NO_PACK")
INCLUDE(PackSource)
INCLUDE(PackRPM)
INCLUDE(ManageRelease)
INCLUDE(ManageReleaseOnFedora)

SET(PRJ_IGNORE_FILES_COMMON
    "\\\\.spec$" "messages.po$" "\\\\.orig$" "\\\\.db$"
    "/\\\\.cache/" "/Modules/"
    )

LIST(APPEND PRJ_IGNORE_FILES_COMMON
    "\\\\.utf8$" "\\\\.tmp$"
    "array30.txt" "array30-big.txt" "wubi-haifeng86.txt"
    )

LIST(APPEND PACK_SOURCE_IGNORE_FILES
    ${PRJ_IGNORE_FILES_COMMON} "/bin/")

PACK_SOURCE(PACK_SOURCE_FILE_NAME "${RPM_BUILD_SOURCES}")
PACK_RPM(PRJ_SRPM_FILE_NAME "${RPM_BUILD_SPECS}/project.spec.in"
    "${PACK_SOURCE_FILE_NAME}")

# "Off" Warning is displayed if mock is not installed.
USE_MOCK("${RPM_BUILD_SPECS}/project.spec.in")

####################################################################
# Hosting and Release
#
# "Off" Warning is displayed if ${MAINTAINER_SETTING} does not exist.
MANAGE_RELEASE(${MAINTAINER_SETTING} UPLOAD src ${RPM_BUILD_SOURCES}/${PACK_SOURCE_FILE_NAME})
# Set to "True" to build against updates-candidate if possible.

SET(FEDORA_CANDIDATE_PREFERRED 1 CACHE BOOL FEDORA_CANDIDATE_PREFERRED)

# Set to "True" to build against testing-candidate if possible.
SET(EPEL_CANDIDATE_PREFERRED 1 CACHE BOOL EPEL_CANDIDATE_PREFERRED)
RELEASE_ON_FEDORA("${RPM_BUILD_SRPMS}/${PRJ_SRPM_FILE_NAME}"
    TAGS ${FEDORA_CURRENT_RELEASE_TAGS} el6)

####################################################################
# Stand-alone package (cmake-fedora modules included)
#

SET(CMAKE_FEDORA_MODULE_ONLY_TARBALL
    cmake-fedora-${CMAKE_FEDORA_VER}-modules-only.tar.gz)
SET(CMAKE_FEDORA_MODULE_ONLY_TARBALL_FULL
    ${RPM_BUILD_SOURCES}/${CMAKE_FEDORA_MODULE_ONLY_TARBALL})

SET(PACK_SOURCE_STANDALONE ${PROJECT_NAME}-${PRJ_VER}-Source-Standalone)

SET(PACK_SOURCE_STANDALONE_FULL ${RPM_BUILD_SOURCES}/${PACK_SOURCE_STANDALONE}.${PACK_SOURCE_FILE_EXTENSION})

IF(EXISTS ${CMAKE_FEDORA_MODULE_ONLY_TARBALL_FULL})
    SET(_tmpDir "NO_PACK")
    SET(_project_tarball_we ${PROJECT_NAME}-${PRJ_VER}-Source)
    SET(_tmpProjDir ${_tmpDir}/${_project_tarball_we})
    ADD_CUSTOM_COMMAND(OUTPUT ${PACK_SOURCE_STANDALONE_FULL}
	COMMAND ${CMAKE_COMMAND} -E make_directory ${_tmpDir}
	COMMAND tar -C ${_tmpDir} -xzf ${RPM_BUILD_SOURCES}/${PACK_SOURCE_FILE_NAME}
	COMMAND tar -C ${_tmpProjDir} -xzf ${CMAKE_FEDORA_MODULE_ONLY_TARBALL_FULL}
	COMMAND tar -C ${_tmpDir} -czf ${PACK_SOURCE_STANDALONE_FULL} ${_project_tarball_we}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${_tmpDir}
	DEPENDS ${RPM_BUILD_SOURCES}/${PACK_SOURCE_FILE_NAME}
            ${CMAKE_FEDORA_MODULE_ONLY_TARBALL_FULL}
	VERBATIM
	)

    ADD_CUSTOM_TARGET(pack_src_standalone
	DEPENDS ${PACK_SOURCE_STANDALONE_FULL}
	)

    MANAGE_MAINTAINER_TARGETS_UPLOAD(
	${PACK_SOURCE_STANDALONE_FULL}
	FILE_ALIAS standalone )
ENDIF(EXISTS ${CMAKE_FEDORA_MODULE_ONLY_TARBALL_FULL})

####################################################################
# Test Suites.
#
#ENABLE_TESTING()
#ADD_TEST("Test" test_cmd1)

=== tables/CMakeLists.txt ===
FIND_PROGRAM(CREATE_DB ibus-table-createdb)
IF (CREATE_DB STREQUAL "CREATE_DB-NOTFOUND")
    MESSAGE(FATAL_ERROR "ibus-table-createdb is not installed")
ENDIF(CREATE_DB STREQUAL "CREATE_DB-NOTFOUND")

IF(NOT DEFINED DB_INSTALL_DIRECTORY)
    SET(DB_INSTALL_DIRECTORY "${DATA_DIR}/ibus-table/tables")
ENDIF(NOT DEFINED DB_INSTALL_DIRECTORY)

IF(NOT DEFINED DEFAULT_FREQ)
    SET(DEFAULT_FREQ 1000)
ENDIF(NOT DEFINED DEFAULT_FREQ)

IF(NOT DEFINED ICON_INSTALL_DIRECTORY)
    SET(ICON_INSTALL_DIRECTORY "${DATA_DIR}/ibus-table/icons")
ENDIF(NOT DEFINED ICON_INSTALL_DIRECTORY)

FIND_PROGRAM(SED_CMD sed)
IF(SED_CMD STREQUAL "SED_CMD-NOTFOUND")
    MESSAGE(FATAL_ERROR "sed is not found!")
ENDIF(SED_CMD STREQUAL "SED_CMD-NOTFOUND")

FIND_PROGRAM(ICONV_CMD iconv)
IF(ICONV_CMD STREQUAL "ICONV_CMD-NOTFOUND")
    MESSAGE(FATAL_ERROR "iconv is not found!")
ENDIF(ICONV_CMD STREQUAL "ICONV_CMD-NOTFOUND")

FIND_PROGRAM(AWK_CMD NAMES awk gawk)
IF(AWK_CMD STREQUAL "AWK_CMD-NOTFOUND")
    MESSAGE(FATAL_ERROR "awk or gawk is not found!")
ENDIF(AWK_CMD STREQUAL "AWK_CMD-NOTFOUND")


MACRO(CONVERT_ENCODING workDir outputFile fromEncoding inputFile )
    SET(_GENERATE_FREQ 0)
    MESSAGE("Converting ${workDir}/${outputFile}")
    MESSAGE("  Appending ${workDir}/${inputFile}")
    EXECUTE_PROCESS(COMMAND ${SED_CMD} -e "s/^[\\xff][\\xfe]//" ${inputFile}
	OUTPUT_FILE "${outputFile}.tmp"
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
	)

    FOREACH(_arg ${ARGN})
	IF(_arg STREQUAL "GENERATE_FREQ")
	    SET(_GENERATE_FREQ 1)
	ELSE(_arg STREQUAL "GENERATE_FREQ")
	    MESSAGE("  Appending ${_arg}")

	    # Need to strip Unicode BOM (0xfeff)
	    EXECUTE_PROCESS(COMMAND ${SED_CMD} -e "s/^[\\xff][\\xfe]//" ${_arg}
		OUTPUT_FILE "${_arg}.tmp"
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
		)

	    EXECUTE_PROCESS(COMMAND cat "${outputFile}.tmp" "${_arg}.tmp"
		OUTPUT_FILE "${outputFile}"
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
		)

	    EXECUTE_PROCESS(COMMAND cmake -E copy "${outputFile}" "${outputFile}.tmp"
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
		)

	    FILE(REMOVE "${CMAKE_CURRENT_SOURCE_DIR}/${workDir}/${_arg}.tmp")

	ENDIF(_arg STREQUAL "GENERATE_FREQ")
    ENDFOREACH(_arg ${ARGN})

    EXECUTE_PROCESS(COMMAND ${ICONV_CMD} -f ${fromEncoding} -t UTF8 "${outputFile}.tmp"
	COMMAND sed -e "s/\r//"
	COMMAND ${AWK_CMD} "{print tolower($0)}"
	COMMAND sort
	OUTPUT_FILE "${outputFile}"
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
	)

    IF(_GENERATE_FREQ)
	EXECUTE_PROCESS(COMMAND cmake -E copy "${outputFile}" "${outputFile}.tmp"
	    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
	    )
	EXECUTE_PROCESS(COMMAND ${AWK_CMD} -F "\\t"  "{ if (lastLine != $1) {lastLine=$1; freq=1000} else{ freq--}; printf(\"%s\\t%s\\t%d\\n\",$1,$2,freq)}" "${outputFile}.tmp"
	    OUTPUT_FILE "${outputFile}"
	    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${workDir}
	    )
    ENDIF(_GENERATE_FREQ)
    FILE(REMOVE "${CMAKE_CURRENT_SOURCE_DIR}/${workDir}/${outputFile}.tmp")
ENDMACRO(CONVERT_ENCODING CONVERT_ENCODING workDir outputFile fromEncoding inputFile)

#######################################################################
# Preprocessing tables
#

# Array
CONVERT_ENCODING(array array30_27489.utf8 UTF16 array30_27489.txt GENERATE_FREQ)
ADD_CUSTOM_COMMAND(OUTPUT array/array30.txt
    COMMAND cat array30.head.common array30.head array30_27489.utf8 array30.tail > array30.txt
    DEPENDS array/array30.head.common
      array/array30.head
      array/array30_27489.utf8
      array/array30.tail
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/array
    VERBATIM
    )

CONVERT_ENCODING(array array30-big.utf8 UTF16 array30_27489.txt array30_ExtB.txt GENERATE_FREQ)
ADD_CUSTOM_COMMAND(OUTPUT array/array30-big.txt
    COMMAND cat array30.head.common array30-big.head array30-big.utf8 array30.tail > array30-big.txt
    DEPENDS array/array30.head.common
      array/array30-big.head
      array/array30-big.utf8
      array/array30.tail
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/array
    VERBATIM
    )

# wubi-haifeng
# Generate the table tooks a long time
#ADD_CUSTOM_COMMAND(OUTPUT
#    ${CMAKE_CURRENT_SOURCE_DIR}/wubi-haifeng/wubi-haifeng86.UTF-8
#    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/wubi-haifeng/convertTable.sh
#    COMMENT "Building wubi-haifeng86.UTF-8"
#    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/wubi-haifeng
#    )

ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/wubi-haifeng/wubi-haifeng86.txt
    COMMAND cat wubi-haifeng86.head wubi-haifeng86.UTF-8 wubi-haifeng86.tail > wubi-haifeng86.txt
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/wubi-haifeng
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/wubi-haifeng/wubi-haifeng86.UTF-8
    COMMENT "Building wubi-haifeng86.txt"
    VERBATIM
    )

ADD_CUSTOM_TARGET(convert_all ALL)

MACRO(CONVERT_DB targetName pattern)
    FILE(GLOB_RECURSE _tableList RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${pattern}")
    FOREACH(_arg ${ARGN})
	FILE(GLOB_RECURSE _tableAppend RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${_arg}")
	GET_FILENAME_COMPONENT(_tabAppPath "${_tableAppend}" PATH)
	GET_FILENAME_COMPONENT(_tabAppWe "${_tableAppend}" NAME_WE)
	LIST(APPEND _tableList ${_tableAppend} )
    ENDFOREACH(_arg ${ARGN})

    MESSAGE("_tableList=${_tableList}")
    SET(_dependDb "")
    SET(_dependIcon "")
    FOREACH(_tabFile ${_tableList})
	GET_FILENAME_COMPONENT(_tabName "${_tabFile}" NAME_WE)
	GET_FILENAME_COMPONENT(_tabPath "${_tabFile}" PATH)
	SET(_tabF "${_tabPath}/${_tabName}.txt")
	SET(_dbF "${_tabPath}/${_tabName}.db")
	ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${_dbF}
	    COMMAND ${CREATE_DB} -n ${_dbF} -s ${_tabF}
	    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_tabF}
	    COMMENT "Building ${_tabName} table"
	    )
	LIST(APPEND _dependDb "${_dbF}")
	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.png")
	    LIST(APPEND _dependIcon "../icons/${_tabName}.png")
	ELSEIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
	    LIST(APPEND _dependIcon "../icons/${_tabName}.svg")
	ELSEIF(EXISTS "${CMAKE_SOUREC_DIR}/icons/${_tabName}.gif")
	    LIST(APPEND _dependIcon "../icons/${_tabName}.gif")
	ELSEIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.jpg")
	    LIST(APPEND _dependIcon "../icons/${_tabName}.jpg")
	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.png")
    ENDFOREACH(_tabFile ${_tableList})

    ADD_CUSTOM_TARGET(convert_${targetName}
	COMMENT "Building ${targetName} table(s)..."
	DEPENDS ${_dependDb}
	)

    ADD_CUSTOM_TARGET(install_${targetName}
	COMMAND cmake -E copy ${_dependDb} ${DB_INSTALL_DIRECTORY}
	COMMAND cmake -E copy ${_dependIcon} ${ICON_INSTALL_DIRECTORY}
	COMMENT "Install ${targetName} table and icons"
	DEPENDS ${_dependDb}
	)

    ADD_DEPENDENCIES(convert_all convert_${targetName})
    #MESSAGE("_dependIcon=${_dependIcon}")

    INSTALL(FILES ${_dependDb}
	DESTINATION ${DB_INSTALL_DIRECTORY})
    INSTALL(FILES ${_dependIcon}
	DESTINATION ${ICON_INSTALL_DIRECTORY})
ENDMACRO(CONVERT_DB dbs targetName pattern)

CONVERT_DB(array "array/array30.head" "array/array30-big.head")
CONVERT_DB(cangjie "cangjie/cangjie*.txt")
CONVERT_DB(cantonese "cantonese/canton*.txt" "cantonese/jyutping*.txt")
CONVERT_DB(easy "easy/easy*.txt")
CONVERT_DB(erbi "erbi/erbi*.txt")
CONVERT_DB(quick "quick/quick*.txt")
CONVERT_DB(stroke5 "stroke5/stroke*.txt")
CONVERT_DB(scj "scj/scj*.txt")
CONVERT_DB(wu "wu/wu*.txt")
CONVERT_DB(wubi-haifeng "wubi-haifeng/wubi-haifeng86.head")
CONVERT_DB(wubi-jidian "wubi-jidian/wubi*.txt")
CONVERT_DB(yong "yong/yong.txt")

## ibus-table-chinese 1.3.0.20100527

=== debian/changelog ===
ibus-table-chinese (1.3.0.20100527-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Aron Xu <aron@debian.org>  Mon, 27 Jun 2011 00:41:04 +0800

ibus-table-chinese (1.3.0.20100527-1) unstable; urgency=low

  [ Asias He ]
  * Initial release (Closes: #583385)

 -- LI Daobing <lidaobing@debian.org>  Sun, 15 Aug 2010 21:45:43 +0800

=== debian/control ===
Source: ibus-table-chinese
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Asias He <asias.hejun@gmail.com>, LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: autotools-dev, ibus-table (>= 1.3.0), pkg-config
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ibus
Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-table-chinese
Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-table-chinese

Package: ibus-table-cangjie
Architecture: all
Depends: ${misc:Depends}, ibus-table-cangjie3, ibus-table-cangjie5, ibus-table-cangjie-big
Description: ibus-table input method: CangJie (dummy package)
 This is a dummy package for safe upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-cangjie3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: CangJie3
 This package provide one input method: CaneJie3.
 .
 CangJie3 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: CangJie5
 This package provide one input method: CaneJie5.
 .
 CangJie5 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie-big
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: CangJie (big)
 This package provide one input method: CaneJie (big).
 .
 CangJie (big) is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cantonese
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Cantonese
 This package provides one input methods: Cantonese

Package: ibus-table-cantonhk
Architecture: all
Replaces: ibus-table-cantonese
Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Cantonhk
 This package provides one input methods: Cantonhk

Package: ibus-table-jyutping
Architecture: all
Replaces: ibus-table-cantonese
Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Jyutping
 This package provides one input method: Jyutping
 .
 http://en.wikipedia.org/wiki/Jyutping

Package: ibus-table-easy
Architecture: all
Depends: ${misc:Depends}, ibus-table-easy-big
Description: ibus-table input method: Easy (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-easy-big
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Easy (big)
 This package provide one input method: Easy (big).
 .
 Easy (big) is a Traditional Chinese input method.

Package: ibus-table-erbi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: ErBi
 This package provide one input methods: ErBi
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-erbi-qs
Architecture: all
Replaces: ibus-table-erbi
Conflicts: ibus-tabel-erbi (<= 1.2.0.20090901-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: ErBi(QS)
 This package provide one input methods: ErBi(QS)
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-quick
Architecture: all
Depends: ${misc:Depends}, ibus-table-quick3, ibus-table-quick5, ibus-table-quick-classic
Description: ibus-table input method: Quick (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-quick3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Quick3
 This package provide one input method: Quick3.
 .
 Quick3 is a Traditional Chinese input method.

Package: ibus-table-quick5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Quick5
 This package provide one input method: Quick5.
 .
 Quick5 is a Traditional Chinese input method.

Package: ibus-table-quick-classic
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Quick Classic
 This package provide one input method: Quick Classic.
 .
 Quick Classic is a Traditional Chinese input method.

Package: ibus-table-scj6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Smart CangJie 6
 This package provide one input method: Smart CangJie 6.
 .
 Smart CangJie 6 is a Traditional Chinese input method, check more information
 at http://www.scj2000.com/ and http://www.scj2000.net/

Package: ibus-table-stroke5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Stroke5
 This package provides one input method: Stroke5.

Package: ibus-table-wubi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Wubi
 This package provide one input method: WuBi(version 86).
 .
 Wubi is a Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Wubi_method .

Package: ibus-table-wu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Wu
 This package provides one input method: Wu.

Package: ibus-table-xinhua
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Xinhua
 This package provides one input method: Xinhua.

Package: ibus-table-yong
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: YongMa
 This package provide one input method: YongMa.
 .
 YongMa is a Chinese input method, check more information at
 http://yong.uueasy.com/read.php?tid=218 .

Package: ibus-table-zhengma
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Zhengma 
 This package provides one input method: Zhengma.

Package: ibus-table-zhuyin
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: ZhuYin(Bopomofo)
 This package provides one input methods: ZhuYin(Bopomofo).

Package: ibus-table-zhuyin-big
Architecture: all
Replaces: ibus-table-zhuyin
Conflicts: ibus-table-zhuyin (<= 1.2.0.20090831-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: ZhuYin(Bopomofo)(big)
 This package provides one input methods: ZhuYin(Bopomofo)(big).

Package: ibus-table-ziranma
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.0)
Description: ibus-table input method: Ziranma
 This package provides one input method: Ziranma.

## ibus-table-chinese 1.3.4

=== debian/changelog ===
ibus-table-chinese (1.3.4-1) unstable; urgency=low

  * New upstream release. 
  * Set Vcs to git.debian.org
  * Set DM-Upload-Allowed to yes
  * Fix "Typo in package description" (Closes: #604403)
  * Fix "FTBFS: __main__.InvalidTableName: Value of NAME attribute"
    (Closes: #642812)
  * Add cmake to Build-Depends

 -- Asias He <asias.hejun@gmail.com>  Mon, 26 Sep 2011 22:32:56 +0800

=== debian/control ===
Source: ibus-table-chinese
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Asias He <asias.hejun@gmail.com>, LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake
Build-Depends-Indep: autotools-dev, ibus-table (>= 1.3.9.20110827), pkg-config
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://git.debian.org/pkg-ime/ibus-table-chinese.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-table-chinese.git
DM-Upload-Allowed: yes

Package: ibus-table-cangjie
Architecture: all
Depends: ${misc:Depends}, ibus-table-cangjie3, ibus-table-cangjie5, ibus-table-cangjie-big
Description: ibus-table input method: CangJie (dummy package)
 This is a dummy package for safe upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-cangjie3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: CangJie3
 This package provide one input method: CangJie3.
 .
 CangJie3 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: CangJie5
 This package provide one input method: CangJie5.
 .
 CangJie5 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie-big
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: CangJie (big)
 This package provide one input method: CangJie (big).
 .
 CangJie (big) is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cantonese
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Cantonese
 This package provides one input methods: Cantonese

Package: ibus-table-cantonhk
Architecture: all
Replaces: ibus-table-cantonese
Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Cantonhk
 This package provides one input methods: Cantonhk

Package: ibus-table-jyutping
Architecture: all
Replaces: ibus-table-cantonese
Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Jyutping
 This package provides one input method: Jyutping
 .
 http://en.wikipedia.org/wiki/Jyutping

Package: ibus-table-easy
Architecture: all
Depends: ${misc:Depends}, ibus-table-easy-big
Description: ibus-table input method: Easy (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-easy-big
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Easy (big)
 This package provide one input method: Easy (big).
 .
 Easy (big) is a Traditional Chinese input method.

Package: ibus-table-erbi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: ErBi
 This package provide one input methods: ErBi
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-erbi-qs
Architecture: all
Replaces: ibus-table-erbi
Conflicts: ibus-tabel-erbi (<= 1.2.0.20090901-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: ErBi(QS)
 This package provide one input methods: ErBi(QS)
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-quick
Architecture: all
Depends: ${misc:Depends}, ibus-table-quick3, ibus-table-quick5, ibus-table-quick-classic
Description: ibus-table input method: Quick (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-quick3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Quick3
 This package provide one input method: Quick3.
 .
 Quick3 is a Traditional Chinese input method.

Package: ibus-table-quick5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Quick5
 This package provide one input method: Quick5.
 .
 Quick5 is a Traditional Chinese input method.

Package: ibus-table-quick-classic
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Quick Classic
 This package provide one input method: Quick Classic.
 .
 Quick Classic is a Traditional Chinese input method.

Package: ibus-table-scj6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Smart CangJie 6
 This package provide one input method: Smart CangJie 6.
 .
 Smart CangJie 6 is a Traditional Chinese input method, check more information
 at http://www.scj2000.com/ and http://www.scj2000.net/

Package: ibus-table-stroke5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Stroke5
 This package provides one input method: Stroke5.

Package: ibus-table-wubi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Wubi
 This package provide one input method: WuBi.
 .
 Wubi is a Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Wubi_method .

Package: ibus-table-wu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Wu
 This package provides one input method: Wu.

Package: ibus-table-yong
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: YongMa
 This package provide one input method: YongMa.
 .
 YongMa is a Chinese input method, check more information at
 http://yong.uueasy.com/read.php?tid=218 .

Package: ibus-table-array30
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: Array30 input method based on table engine of ibus
 This package provide one input method: Array30.
 .
 Array30 is a Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E8%A1%8C%E5%88%97%E8%BC%B8%E5%85%A5%E6%B3%95 (in
 Chinese).

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(ibus-table-chinese-([\d.]+)\.tar\.gz).*#http://ibus.googlecode.com/files/$1#,filenamemangle=s#.*(ibus-table-chinese-([\d.]+)\.tar\.gz).*#$1# \
    http://code.google.com/p/ibus/downloads/list ^.*detail\?name=ibus-table-chinese-([\d.]+)\.tar\.gz.*

## ibus-table-chinese 1.4.0.20121008

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)

# CMP0011 should be set here, otherwise policy set in module won't affect
# here.
CMAKE_POLICY(SET CMP0011 OLD)

# Default CMAKE_INSTALL_PREFIX should be set before PROJECT()
SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install dir prefix")

# Whether to build on fedora
SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "0" CACHE STRING "Enable fedora build")

# Message level M_OFF (4)
SET(MANAGE_MESSAGE_LEVEL 4 CACHE STRING "Message (Verbose) Level")

# Default support Gnome shell
SET(GNOME_SHELL 1)

####################################################################
# Project specific information
#
PROJECT(ibus-table-chinese NONE)
SET(PRJ_SUMMARY "Chinese input tables for IBus")

SET(PRJ_DESCRIPTION
"ibus-table-chinese is provides the infrastructure for Chinese input methods.
Input tables themselves are in subpackages."
    )

SET(AUTHORS "Yuwei Yu, Caius 'kaio' Chance, Ding-Yi Chen")
SET(MAINTAINER "Ding-Yi Chen <dchen@redhat.com>")
SET(VENDOR "Red Hat, Inc")
SET(LICENSE "GPLv3+")

####################################################################
# Includes
#
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/Modules ${CMAKE_ROOT}/Modules )

# Create a link if Modules/ does not exists
IF(EXISTS ${CMAKE_SOURCE_DIR}/cmake-fedora/Modules)
    IF(NOT EXISTS ${CMAKE_SOURCE_DIR}/Modules)
	EXECUTE_PROCESS(COMMAND ln -s ${CMAKE_SOURCE_DIR}/cmake-fedora/Modules .)
    ENDIF(NOT EXISTS ${CMAKE_SOURCE_DIR}/Modules)
ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/cmake-fedora/Modules)

# Use standard FHS if Fedora build is not enabled
IF(NOT CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    IF(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
	SET(LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib64" CACHE PATH "Library dir")
    ELSE(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
	SET(LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Library dir")
    ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
    SET(LIBEXEC_DIR "${LIB_DIR}" CACHE PATH "LIBEXEC dir")
    MESSAGE("*Hi")
ENDIF(NOT CMAKE_FEDORA_ENABLE_FEDORA_BUILD)

INCLUDE(ManageEnvironment RESULT_VARIABLE MANAGE_ENVIRONMENT_PATH)
IF(MANAGE_ENVIRONMENT_PATH STREQUAL "NOTFOUND")
    MESSAGE(FATAL_ERROR "ManageEnvironment is not found in CMAKE_MODULE_PATH,
    please:
    1) git submodule init; git submodule update
    2) or install cmake-fedora/
    3) wget -P SOURCES https://fedorahosted.org/releases/c/m/cmake-fedora/cmake-fedora-modules-only-latest.tar.gz
    tar zxvf SOURCES/cmake-fedora-modules-only-latest.tar.gz")
ENDIF(MANAGE_ENVIRONMENT_PATH STREQUAL "NOTFOUND")

INCLUDE(ManageVersion)
RELEASE_NOTES_READ_FILE()
INCLUDE(ManageUninstall)

####################################################################
# Required
#

FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(IBUS_TABLE REQUIRED ibus-table>=1.2)

####################################################################
# Building
#

ADD_SUBDIRECTORY(tables)

####################################################################
# Installing
#

# Install docs
# Note: Need to use filename only, otherwise
# ${CMAKE_SOURCE_DIR}/RELEASE-NOTES.txt will be deleted in spec
#

GET_FILENAME_COMPONENT(_releaseFileName "${RELEASE_FILE}" NAME)
SET(INSTALL_DOCS ${_releaseFileName} AUTHORS README ChangeLog COPYING README)
STRING_JOIN(PRJ_DOC_LIST " " ${INSTALL_DOCS})

INSTALL(FILES ${INSTALL_DOCS}
    DESTINATION "${PRJ_DOC_DIR}")

####################################################################
# Source Version Control
#
INCLUDE(ManageSourceVersionControl)
MANAGE_SOURCE_VERSION_CONTROL_GIT()

####################################################################
# Packing
#
INCLUDE(ManageArchive)

IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    INCLUDE(ManageRPM)
    INCLUDE(ManageReleaseFedora)
ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
INCLUDE(ManageRelease)

SET(PRJ_IGNORE_FILES_COMMON
    "/doc/"  "\\\\.spec$" "messages.po$" "\\\\.orig$" "/cmake-fedora/"
    "/\\\\.cache/"
    "\\\\.db$"
    )

LIST(APPEND PRJ_IGNORE_FILES_COMMON
    "\\\\.utf8$" "\\\\.tmp$" "\\\\.freq$"
    "tables/array/.*\\\\.head$"
    "array30.txt" "array30-big.txt" "wubi-haifeng86.txt"
    )

LIST(APPEND SOURCE_ARCHIVE_IGNORE_FILES
    ${PRJ_IGNORE_FILES_COMMON} "/bin/" "\\\\.xml$" "\\\\.schemas")

IF(RPM_BUILD_SOURCES)
    SET(SOURCE_ARCHIVE_DIR ${RPM_BUILD_SOURCES})
ELSE(RPM_BUILD_SOURCES)
    SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES)
ENDIF(RPM_BUILD_SOURCES)

PACK_SOURCE_ARCHIVE("${SOURCE_ARCHIVE_DIR}")
IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    PACK_RPM()
    RELEASE_FEDORA(fedora el6)
    # "Off" Warning is displayed if mock is not installed.
    RPM_MOCK_BUILD()
    MANAGE_RELEASE(release_fedora)
ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)

####################################################################
# Hosting and Release
#
# Set to "True" to build against updates-candidate if possible.

#INCLUDE(ManageUpload)
#ADD_CUSTOM_TARGET(upload
#    COMMENT "Uploading all files"
#    )

#MANAGE_UPLOAD_CMD(scp src UPLOAD_FILES ${SOURCE_ARCHIVE_FILE})
#ADD_DEPENDENCIES(upload upload_src)

####################################################################
# Test Suites.
#
#ENABLE_TESTING()
#ADD_TEST("Test" test_cmd1)

=== ibus-table-chinese-1.4.0-Source/tables/array/CMakeLists.txt ===
# Array30
SET(UUID "fe1125da-3bff-47b8-9aa7-d7586633ae4a")
SET(ICON_FILE "array30.png")
SET(TABLE_NAME_EN "Array30")
SET(TABLE_NAME_ZH "行列30")
SET(DESC "Array 30 Chinese input method.")
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/array30.head.in
    ${CMAKE_CURRENT_BINARY_DIR}/array30.head @ONLY
    )

CONVERT_ENCODING(${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8 UTF16 array30_27489.txt)
GENERATE_FREQ(${CMAKE_CURRENT_BINARY_DIR}/array30_27489.freq
    ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8
    )
MAKE_TABLE_SOURCE_TXT(${CMAKE_CURRENT_BINARY_DIR}/array30.txt
    ${CMAKE_CURRENT_BINARY_DIR}/array30.head
    ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.freq array30.tail
    )

# Array30-big
SET(UUID "3c28e5f1-0885-486e-8d15-b13680b9a44c")
SET(ICON_FILE "array30-big.png")
SET(TABLE_NAME_EN "Array30BigTable")
SET(TABLE_NAME_ZH "行列30大字集")
SET(DESC "Array 30 Chinese input method that include unicode Ext B.")
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/array30.head.in
    ${CMAKE_CURRENT_BINARY_DIR}/array30-big.head @ONLY
    )

CONVERT_ENCODING(${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8 UTF16 array30_ExtB.txt)

ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/array30-big.utf8
    COMMAND cat ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8
    ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8
    > ${CMAKE_CURRENT_BINARY_DIR}/array30-big.utf8
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8
    ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8
    VERBATIM
    )

GENERATE_FREQ(${CMAKE_CURRENT_BINARY_DIR}/array30-big.freq
    ${CMAKE_CURRENT_BINARY_DIR}/array30-big.utf8
    )
MAKE_TABLE_SOURCE_TXT(${CMAKE_CURRENT_BINARY_DIR}/array30-big.txt
    array30-big.head array30-big.freq array30.tail
    )

CONVERT_DB(array "${CMAKE_CURRENT_BINARY_DIR}/array30.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/array30-big.txt"
    )

=== debian/changelog ===
ibus-table-chinese (1.4.0.20121008-1) experimental; urgency=low

  * New upstream release.

 -- Asias He <asias@debian.org>  Tue, 16 Oct 2012 20:08:10 +0800

ibus-table-chinese (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Add cmake back to Build-Depends
  * Drop the lines starting with # in debian/copyright

 -- Asias He <asias@debian.org>  Fri, 05 Oct 2012 23:34:28 +0800

ibus-table-chinese (1.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Asias He <asias.hejun@gmail.com>  Thu, 16 Aug 2012 17:53:13 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Asias He <asias.hejun@gmail.com>, LI Daobing <lidaobing@debian.org>
+Uploaders: Asias He <asias@debian.org>, LI Daobing <lidaobing@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
 Build-Depends-Indep: autotools-dev, ibus-table (>= 1.3.9.20110827), pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/ibus
 Vcs-Git: git://git.debian.org/pkg-ime/ibus-table-chinese.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-table-chinese.git
@@ -13,6 +13,7 @@
 
 Package: ibus-table-cangjie
 Architecture: all
+Section: utils
 Depends: ${misc:Depends}, ibus-table-cangjie3, ibus-table-cangjie5, ibus-table-cangjie-big
 Description: ibus-table input method: CangJie (dummy package)
  This is a dummy package for safe upgrade.
@@ -21,6 +22,7 @@
 
 Package: ibus-table-cangjie3
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: CangJie3
  This package provide one input method: CangJie3.
@@ -30,6 +32,7 @@
 
 Package: ibus-table-cangjie5
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: CangJie5
  This package provide one input method: CangJie5.
@@ -39,6 +42,7 @@
 
 Package: ibus-table-cangjie-big
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: CangJie (big)
  This package provide one input method: CangJie (big).
@@ -48,12 +52,14 @@
 
 Package: ibus-table-cantonese
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Cantonese
  This package provides one input methods: Cantonese
 
 Package: ibus-table-cantonhk
 Architecture: all
+Section: utils
 Replaces: ibus-table-cantonese
 Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
@@ -62,6 +68,7 @@
 
 Package: ibus-table-jyutping
 Architecture: all
+Section: utils
 Replaces: ibus-table-cantonese
 Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
@@ -72,6 +79,7 @@
 
 Package: ibus-table-easy
 Architecture: all
+Section: utils
 Depends: ${misc:Depends}, ibus-table-easy-big
 Description: ibus-table input method: Easy (dummy package)
  This is a dummy package for stable upgrade.
@@ -80,6 +88,7 @@
 
 Package: ibus-table-easy-big
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Easy (big)
  This package provide one input method: Easy (big).
@@ -88,6 +97,7 @@
 
 Package: ibus-table-erbi
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: ErBi
  This package provide one input methods: ErBi
@@ -98,6 +108,7 @@
 
 Package: ibus-table-erbi-qs
 Architecture: all
+Section: utils
 Replaces: ibus-table-erbi
 Conflicts: ibus-tabel-erbi (<= 1.2.0.20090901-1)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
@@ -110,6 +121,7 @@
 
 Package: ibus-table-quick
 Architecture: all
+Section: utils
 Depends: ${misc:Depends}, ibus-table-quick3, ibus-table-quick5, ibus-table-quick-classic
 Description: ibus-table input method: Quick (dummy package)
  This is a dummy package for stable upgrade.
@@ -118,6 +130,7 @@
 
 Package: ibus-table-quick3
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Quick3
  This package provide one input method: Quick3.
@@ -126,6 +139,7 @@
 
 Package: ibus-table-quick5
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Quick5
  This package provide one input method: Quick5.
@@ -134,6 +148,7 @@
 
 Package: ibus-table-quick-classic
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Quick Classic
  This package provide one input method: Quick Classic.
@@ -142,6 +157,7 @@
 
 Package: ibus-table-scj6
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Smart CangJie 6
  This package provide one input method: Smart CangJie 6.
@@ -151,12 +167,14 @@
 
 Package: ibus-table-stroke5
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Stroke5
  This package provides one input method: Stroke5.
 
 Package: ibus-table-wubi
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Wubi
  This package provide one input method: WuBi.
@@ -166,12 +184,14 @@
 
 Package: ibus-table-wu
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Wu
  This package provides one input method: Wu.
 
 Package: ibus-table-yong
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: YongMa
  This package provide one input method: YongMa.
@@ -181,6 +201,7 @@
 
 Package: ibus-table-array30
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: Array30 input method based on table engine of ibus
  This package provide one input method: Array30.

## ibus-table-chinese 1.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,7 @@
     )
 
 LIST(APPEND PRJ_IGNORE_FILES_COMMON
-    "\\\\.utf8$" "\\\\.tmp$" "\\\\.freq$"
+    "\\\\.utf8$" "\\\\.tmp$" "\\\\.freq$" "\\\\.tab$"
     "tables/array/.*\\\\.head$"
     "array30.txt" "array30-big.txt" "wubi-haifeng86.txt"
     )

=== tables/array/CMakeLists.txt ===
# Array30
SET(UUID "fe1125da-3bff-47b8-9aa7-d7586633ae4a")
SET(ICON_FILE "array30.png")
SET(TABLE_NAME_EN "Array30")
SET(TABLE_NAME_ZH "行列30")
SET(DESC "Array 30 Chinese input method.")

SET(ARRAY30_HEAD_IN "${CMAKE_CURRENT_SOURCE_DIR}/array30.head.in")
SET(ARRAY30_TAIL "${CMAKE_CURRENT_SOURCE_DIR}/array30.tail")

SET(ARRAY30_BASE "${CMAKE_CURRENT_BINARY_DIR}/array30")
SET(ARRAY30_BASE_UTF8 "${ARRAY30_BASE}.utf8")
SET(ARRAY30_BASE_FREQ "${ARRAY30_BASE}.freq")
SET(ARRAY30_BASE_TABLE "${ARRAY30_BASE}.tab")
SET(ARRAY30_BASE_HEAD "${ARRAY30_BASE}.head")

CONFIGURE_FILE(${ARRAY30_HEAD_IN} ${ARRAY30_BASE_HEAD} @ONLY)

CONVERT_ENCODING(${ARRAY30_BASE_UTF8} UTF16 array30_27489.txt)
GENERATE_FREQ(${ARRAY30_BASE_FREQ}
    ${ARRAY30_BASE_UTF8}
    )

MAKE_TABLE_SOURCE_TXT(${ARRAY30_BASE_TABLE}
    ${ARRAY30_BASE_HEAD} ${ARRAY30_BASE_FREQ} ${ARRAY30_TAIL}
    )

# Array30-big
SET(UUID "3c28e5f1-0885-486e-8d15-b13680b9a44c")
SET(ICON_FILE "array30-big.png")
SET(TABLE_NAME_EN "Array30BigTable")
SET(TABLE_NAME_ZH "行列30大字集")
SET(DESC "Array 30 Chinese input method that include unicode Ext B.")

SET(ARRAY30_BIG "${CMAKE_CURRENT_BINARY_DIR}/array30-big")
SET(ARRAY30_BIG_UTF8 "${ARRAY30_BIG}.utf8")
SET(ARRAY30_BIG_FREQ "${ARRAY30_BIG}.freq")
SET(ARRAY30_BIG_TABLE "${ARRAY30_BIG}.tab")
SET(ARRAY30_BIG_HEAD "${ARRAY30_BIG}.head")

CONFIGURE_FILE(${ARRAY30_HEAD_IN} ${ARRAY30_BIG_HEAD} @ONLY)

SET(ARRAY30_EXT_B_UTF8 ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8)
CONVERT_ENCODING(${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8 UTF16 array30_ExtB.txt)

SET(ARRAY30_EXT_CD_UTF8 ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtCD.utf8)
CONVERT_ENCODING(${CMAKE_CURRENT_BINARY_DIR}/array30_ExtCD.utf8 UTF16 array30_ExtCD_V2012A.txt)

ADD_CUSTOM_COMMAND(OUTPUT ${ARRAY30_BIG_UTF8}
    COMMAND cat ${ARRAY30_BASE_UTF8}
    ${ARRAY30_EXT_B_UTF8}
    ${ARRAY30_EXT_CD_UTF8}
    > ${ARRAY30_BIG_UTF8}
    DEPENDS ${ARRAY30_BASE_UTF8} ${ARRAY30_EXT_B_UTF8} ${ARRAY30_EXT_CD_UTF8}
    VERBATIM
    )

GENERATE_FREQ(${ARRAY30_BIG_FREQ}
    ${ARRAY30_BIG_UTF8}
    )


MAKE_TABLE_SOURCE_TXT(${ARRAY30_BIG_TABLE}
    ${ARRAY30_BIG_HEAD} ${ARRAY30_BIG_FREQ} ${ARRAY30_TAIL}
    )

CONVERT_DB(array ${ARRAY30_BASE_TABLE} ${ARRAY30_BIG_TABLE})

=== tables/cangjie/CMakeLists.txt ===
CONVERT_DB(cangjie "cangjie3.txt" "cangjie5.txt" "cangjie-big.txt")

=== tables/cantonese/CMakeLists.txt ===
CONVERT_DB(cantonese "cantonese.txt" "cantonhk.txt" "jyutping.txt")

=== tables/wu/CMakeLists.txt ===
CONVERT_DB(wu "wu.txt")
